cordova.define("cordova-plugin-native-webview.cordova-plugin-native-webview", function(require, exports, module) {
var exec = require('cordova/exec');


module.exports = {
    /**
     * shareParams: {
     *  title,
     *  thumbImageUrl
     * }
     */
    open: function (url, enableShare, shareParams,success, error) {
        exec(success, error, 'CDVNativeWebView', 'open', [url, enableShare, shareParams]);
    },

    evaluateJs: function (method, param) {
        exec(null, null, 'CDVNativeWebView', 'evaluateJs', [method, param]);
    },

    close: function () {
        exec(null, null, 'CDVNativeWebView', 'close');
    }
}
});
