webpackJsonp([38],{

/***/ 1061:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__search_history_directive__ = __webpack_require__(1062);
// import angular from 'angular';



/* harmony default export */ __webpack_exports__["a"] = (angular.module('app.components.searchHistory', []).directive('searchHistory', __WEBPACK_IMPORTED_MODULE_0__search_history_directive__["a" /* default */]));

/***/ }),

/***/ 1062:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__search_history_tmpl_html__ = __webpack_require__(1063);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__search_history_tmpl_html___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__search_history_tmpl_html__);
searchHistory.$inject = ['searchHistoryService', 'searchBarService', 'pathSearchService'];


/** @ngInject */
function searchHistory(searchHistoryService, searchBarService, pathSearchService) {
    return {
        restrict: 'E',
        scope: {
            // type缺省为'location'
            type: '@',
            historyList: '=',
            onHistoryClick: '&'
        },
        replace: true,
        template: __WEBPACK_IMPORTED_MODULE_0__search_history_tmpl_html___default.a,
        link: function link(scope, element, attrs) {
            scope.isPathSearch = scope.type === 'path';
            scope.isScollWrap = attrs.isScollWrap !== "false";

            scope.clearHistory = function () {
                var typeList = scope.type && scope.type.split('+') || [];
                typeList.forEach(function (type) {
                    searchHistoryService.clear(type);
                });
                scope.historyList = [];
            };

            /**
             * 对type === 'path' 的情况做通用处理
             */
            if (scope.type === 'path') {
                scope.onHistoryClick = function (result) {
                    var history = result.history;
                    pathSearchService.setLocation(history.startLocation, 'start');
                    pathSearchService.setLocation(history.endLocation, 'end');
                    pathSearchService.setLocationType('history');
                    pathSearchService.isLocationChange = true;

                    scope.$emit('$buscard', 'es_pathSearch_locationChange');
                };
            }
        }
    };
}

/* harmony default export */ __webpack_exports__["a"] = (searchHistory);

/***/ }),

/***/ 1063:
/***/ (function(module, exports) {

module.exports = "<div class=\"u-search-history\">\n    <div class=\"search-list-title\">搜索历史</div>\n    <ion-scroll direction=\"y\" scrollbar-y=\"false\" ng-if=\"isScollWrap\">\n        <div class=\"search-list\">\n            <div class=\"search-list-item bc-button\" ng-repeat=\"history in historyList\" ng-click=\"onHistoryClick({history: history})\">\n                <div class=\"search-content\">\n                    <i class=\"icon-search font-color-grey\"></i>\n                    <span ng-show=\"!isPathSearch\">{{ history.label }}</span>\n                    <span ng-show=\"isPathSearch\">\n                        {{ history.startLocation.label }}\n                        <i class=\"icon-right-arrow\"></i>\n                        {{ history.endLocation.label }}\n                    </span>\n                </div>\n                <div class=\"search-content-desc\" ng-show=\"!isPathSearch && history.type === 'location' && history.address\">{{ history.address }}</div>\n            </div>\n            <div class=\"clear-history bc-button\" ng-click=\"clearHistory()\">清空搜索历史</div>\n        </div>\n    </ion-scroll>\n    <div class=\"search-list\" ng-if=\"!isScollWrap\">\n        <div class=\"search-list-item bc-button\" ng-repeat=\"history in historyList\" ng-click=\"onHistoryClick({history: history})\">\n            <div class=\"search-content\">\n                <i class=\"icon-search font-color-grey\"></i>                \n                <span ng-show=\"!isPathSearch\">{{ history.label }}</span>\n                <span ng-show=\"isPathSearch\">\n                    {{ history.startLocation.label }}\n                    <i class=\"icon-right-arrow\"></i>                    \n                    {{ history.endLocation.label }}\n                </span>\n            </div>\n            <div class=\"search-content-desc\" ng-show=\"!isPathSearch && history.type === 'location' && history.address\">{{ history.address }}</div>\n        </div>\n        <div class=\"clear-history bc-button\" ng-click=\"clearHistory()\">清空搜索历史</div>\n    </div>\n</div>\n\n";

/***/ }),

/***/ 1074:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__search_bar_scss__ = __webpack_require__(1075);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__search_bar_scss___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__search_bar_scss__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__search_bar_directive__ = __webpack_require__(1077);
// import angular from 'angular';



/* harmony default export */ __webpack_exports__["a"] = (angular.module('app.components.searchBar', []).directive('searchBar', __WEBPACK_IMPORTED_MODULE_1__search_bar_directive__["a" /* default */]));

/***/ }),

/***/ 1075:
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(1076);
if(typeof content === 'string') content = [[module.i, content, '']];
// Prepare cssTransformation
var transform;

var options = {"hmr":true}
options.transform = transform
// add the styles to the DOM
var update = __webpack_require__(700)(content, options);
if(content.locals) module.exports = content.locals;
// Hot Module Replacement
if(false) {
	// When the styles change, update the <style> tags
	if(!content.locals) {
		module.hot.accept("!!../../../../node_modules/css-loader/index.js!../../../../node_modules/sass-loader/lib/loader.js!./search-bar.scss", function() {
			var newContent = require("!!../../../../node_modules/css-loader/index.js!../../../../node_modules/sass-loader/lib/loader.js!./search-bar.scss");
			if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
			update(newContent);
		});
	}
	// When the module is disposed, remove the <style> tags
	module.hot.dispose(function() { update(); });
}

/***/ }),

/***/ 1076:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(699)(false);
// imports


// module
exports.push([module.i, ".u-searchBar {\n  width: 100%;\n  height: 1.2rem; }\n  .u-searchBar .searchBar-type-1 {\n    width: 100%;\n    height: 100%;\n    display: flex;\n    align-items: center; }\n  .u-searchBar .searchBar-type-1 .cancel {\n    height: 100%;\n    display: flex;\n    align-items: center;\n    padding: 0.26rem; }\n  .u-searchBar .searchBar-type-2 {\n    width: 100%;\n    height: 100%; }\n\n.search-header {\n  background-color: #fff;\n  display: flex;\n  align-items: center; }\n  .search-header .search-input-wrap {\n    padding: 0 0.3rem 0 0.15rem;\n    margin-left: 0.3rem;\n    width: 100%;\n    height: 0.6rem;\n    background: #efefef;\n    border-radius: 0.3rem;\n    font-size: 0.26rem;\n    color: #000;\n    display: flex;\n    align-items: center; }\n    .search-header .search-input-wrap input {\n      width: 100%;\n      height: 0.6rem;\n      margin-left: 0.15rem;\n      padding: 0;\n      background: #efefef;\n      font-size: 0.26rem; }\n    .search-header .search-input-wrap .icon-search {\n      font-size: 0.3rem; }\n  .search-header span {\n    flex-shrink: 0;\n    font-size: 0.26rem;\n    color: #666; }\n", ""]);

// exports


/***/ }),

/***/ 1077:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_appConfig__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__search_bar_tmpl_html__ = __webpack_require__(1078);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__search_bar_tmpl_html___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1__search_bar_tmpl_html__);
searchBar.$inject = ['$q', '$parse', '$rootScope', '$window', 'buscardService', 'searchBarService', 'locationService'];



/** @ngInject */
function searchBar($q, $parse, $rootScope, $window, buscardService, searchBarService, locationService) {
    return {
        restrict: 'E',
        scope: {
            searchType: '@',
            placeholder: '@',
            // 组件的样式类型
            styleType: '@',
            // 搜索的类型: busLine、busStation、location
            onSearch: '&'
        },
        replace: true,
        template: __WEBPACK_IMPORTED_MODULE_1__search_bar_tmpl_html___default.a,
        link: function link(scope, element, attrs) {
            // 初始化Amap
            var placeSearch, types;
            _initType();

            if ($window.AMap) {
                $window.AMap.service(["AMap.PlaceSearch"], function () {
                    placeSearch = new $window.AMap.PlaceSearch({ //构造地点查询类
                        pageSize: 3,
                        pageIndex: 1,
                        city: __WEBPACK_IMPORTED_MODULE_0_appConfig__["a" /* default */].city
                    });
                });
            }

            scope.onSearch = onSearch;

            function _initType() {
                var type = scope.searchType || searchBarService.getType();
                types = type && type.split('+') || [];
            }

            // 当进入视图的时候，给input设置focus
            // scope.$on('enterView', function () {
            //     scope.keywords = searchBarService.getKeywords();
            //     var type = scope.searchType || searchBarService.getType();
            //     scope.placeholder = scope.placeholder || searchBarService.getPlaceholder();
            //     scope.$broadcast('focusInput');
            //     types = type && type.split('+') || [];
            // });
            // scope.keywords = searchBarService.getKeywords();
            // var type = scope.searchType || searchBarService.getType();
            // scope.placeholder = scope.placeholder || searchBarService.getPlaceholder();
            // types = type && type.split('+') || [];

            scope.$watch('keywords', function (value) {
                if (value !== undefined) {
                    onSearch();
                }
            });

            scope.$on('enterView', function handleKeywordsData() {
                scope.keywords = searchBarService.getKeywords();scope.keywords = searchBarService.getKeywords();
                var type = scope.searchType || searchBarService.getType();
                scope.placeholder = scope.placeholder || searchBarService.getPlaceholder();
                types = type && type.split('+') || [];
                if (scope.keywords !== undefined) {
                    onSearch();
                }
            });

            function onSearch(isClick) {
                var count;
                var deferList = [];
                var keywords = scope.keywords;

                if (keywords) {
                    // busLine
                    if (_hasExistInTypes('busLine')) {
                        var deferred1 = $q.defer();
                        count = types.length > 1 ? 5 : 50;
                        searchBarService.searchLine(keywords, count).then(function (result) {
                            deferred1.resolve({ busLines: result || [] });
                        }, function () {
                            deferred1.resolve({ busLines: [] });
                        });
                        deferList.push(deferred1.promise);
                    }

                    // busLineSet
                    if (_hasExistInTypes('busLineSet')) {
                        var deferred6 = $q.defer();
                        count = types.length > 1 ? 5 : 50;
                        searchBarService.searchLineSet(keywords, count).then(function (result) {
                            deferred6.resolve({ busLines: result || [] });
                        }, function () {
                            deferred6.resolve({ busLines: [] });
                        });
                        deferList.push(deferred6.promise);
                    }

                    // busStation
                    if (_hasExistInTypes('busStation')) {
                        var deferred2 = $q.defer();
                        count = types.length > 1 ? 3 : 50;
                        searchBarService.searchStation(keywords, count).then(function (result) {
                            deferred2.resolve({ busStations: result || [] });
                        }, function () {
                            deferred2.resolve({ busStations: [] });
                        });
                        deferList.push(deferred2.promise);
                    }

                    // location
                    if (_hasExistInTypes('location') && placeSearch) {
                        if (types.length > 1) {
                            placeSearch.setPageSize(3);
                        } else {
                            placeSearch.setPageSize(10);
                        }
                        var deferred3 = $q.defer();
                        placeSearch.search(keywords, function (status, result) {
                            if (status === 'complete' && result.info === 'OK') {
                                var pois = locationService.formatLocationList(result.poiList.pois);
                                deferred3.resolve({ locations: pois || [] });
                            } else {
                                deferred3.resolve({ locations: [] });
                            }
                        });
                        deferList.push(deferred3.promise);
                    }

                    // custombus
                    if (_hasExistInTypes('customLine')) {
                        var deferred4 = $q.defer();
                        count = types.length > 1 ? 5 : undefined;
                        searchBarService.searchCustomBus(keywords, count).then(function (result) {
                            result.forEach(function (item) {
                                item.label = item.shiftName;
                            });
                            deferred4.resolve({ customLines: result || [] });
                        });
                        deferList.push(deferred4.promise);
                    }

                    // waterPassenger
                    if (_hasExistInTypes('waterPassenger') && placeSearch) {
                        var deferred5 = $q.defer();
                        count = types.length > 1 ? 3 : 50;
                        searchBarService.searchWaterPassenger(keywords, count).then(function (result) {
                            deferred5.resolve({ waterPassenger: result || [] });
                        }, function () {
                            deferred4.resolve({ waterPassenger: [] });
                        });
                        deferList.push(deferred5.promise);
                    }
                }

                $q.all(deferList).then(function (results) {
                    var searchInfo = _formatSearchData(results, keywords);
                    searchInfo.isClick = isClick;
                    // 将查到的数据通过事件的方式传给控制器
                    scope.$emit('searchDataReady', searchInfo);
                });
            }

            function _formatSearchData(results, keywords) {
                var searchInfo = { keywords: keywords };
                results.forEach(function (result) {
                    var keys = Object.keys(result);

                    searchInfo[keys[0]] = result[keys[0]];
                });

                return searchInfo;
            }

            function _hasExistInTypes(type) {
                for (var i = 0; i < types.length; i++) {
                    if (types[i] === type) {
                        return true;
                    }
                }
            }

            // 离开视图的时候清空keywords
            scope.$on('leaveView', function () {
                scope.keywords = '';
            });

            scope.cancel = function () {
                buscardService.stateGoBack();
            };
        }
    };
}

/* harmony default export */ __webpack_exports__["a"] = (searchBar);

/***/ }),

/***/ 1078:
/***/ (function(module, exports) {

module.exports = "<div class=\"u-searchBar\">\n    <div class=\"searchBar-type-1\" ng-show=\"styleType == 1 || !styleType\">\n        <div class=\"search-input-wrap\">\n            <i class=\"icon-search font-color-primary\"></i>\n            <input \n                type=\"text\"\n                ng-model=\"keywords\" \n                placeholder=\"{{ placeholder }}\"\n                bc-focus-me\n            >\n        </div>\n        <span class=\"cancel\" ng-click=\"cancel()\">取消</span>\n    </div>\n    <div class=\"searchBar-type-2\" ng-show=\"styleType == 2\">\n        <div class=\"search-bar\">\n            <input \n                class=\"search-input\"\n                type=\"text\"\n                ng-model=\"keywords\" \n                placeholder=\"{{ placeholder }}\"\n                bc-focus-me\n            >\n            <i class=\"icon-search font-color-primary\"></i>\n        </div>\n    </div>\n</div>";

/***/ }),

/***/ 1237:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__bc_search_directive__ = __webpack_require__(1238);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_core_components_searchBar__ = __webpack_require__(1074);



/* harmony default export */ __webpack_exports__["a"] = (angular.module('app.components.bcSearch', [__WEBPACK_IMPORTED_MODULE_1_core_components_searchBar__["a" /* default */].name]).directive('bcSearch', __WEBPACK_IMPORTED_MODULE_0__bc_search_directive__["a" /* default */]));

/***/ }),

/***/ 1238:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__bc_search_tmpl_html__ = __webpack_require__(1239);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__bc_search_tmpl_html___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__bc_search_tmpl_html__);
bcSearch.$inject = ['$ionicPlatform', 'buscardService', 'searchHistoryService'];


/** @ngInject */
function bcSearch($ionicPlatform, buscardService, searchHistoryService) {
    return {
        scope: {
            searchType: '@',
            placeholder: '@',
            searchMore: '@',
            onSearchItemClick: '&',
            onPathBtnClick: '&'
        },
        replace: true,
        template: __WEBPACK_IMPORTED_MODULE_0__bc_search_tmpl_html___default.a,
        controller: function controller($scope) {
            $scope.historyList = getSearchHistory();
            $scope.lines = [];
            $scope.stations = [];
            $scope.places = [];
            $scope.keywords = '';
            $scope.showLinesResult = $scope.searchType.indexOf('busLine') !== -1;
            $scope.showStationsResult = $scope.searchType.indexOf('busStation') !== -1;
            $scope.showLocationResult = $scope.searchType.indexOf('location') !== -1;
            $scope.showCustomLinesResult = $scope.searchType.indexOf('customLine') !== -1;
            $scope.needCpbIosHeader = buscardService.needCpbIosHeader;
            $scope.needSearchMore = $scope.searchMore == 'false' ? false : true;
            $scope.$on('searchDataReady', onSearch);

            $ionicPlatform.on('deviceready', function () {
                $scope.needCpbIosHeader = buscardService.needCpbIosHeader;
            });

            function getSearchHistory() {
                var historyList = [];
                var historyMap = {};
                var typeList = $scope.searchType.split('+');

                typeList.forEach(function (type) {
                    historyMap[type + 'History'] = searchHistoryService.get(type);
                });

                for (var key in historyMap) {
                    historyList = historyList.concat(historyMap[key]);
                }

                historyList.sort(function (item1, item2) {
                    return item2.historyTime - item1.historyTime;
                });

                return historyList;
            }

            function onSearch(event, searchInfo) {
                $scope.lines = searchInfo.busLines;
                $scope.stations = searchInfo.busStations;
                $scope.places = searchInfo.locations;
                $scope.customLines = searchInfo.customLines;
                $scope.keywords = searchInfo.keywords;
            }
        }
    };
}

/* harmony default export */ __webpack_exports__["a"] = (bcSearch);

/***/ }),

/***/ 1239:
/***/ (function(module, exports) {

module.exports = "<div class=\"search-wrap\">\n    <div class=\"search-header\" ng-class=\"{true: '_header'}[needCpbIosHeader]\">\n        <search-bar search-type=\"{{searchType}}\" placeholder=\"{{placeholder}}\"></search-bar>\n    </div>\n\n    <div class=\"search-tip\" ng-show=\"(!historyList || historyList.length === 0) && !keywords \">\n        <div class=\"search-tip-title\">\n            <div class=\"solid-stroke\"></div>\n            <span>您可以搜索</span>\n            <div class=\"solid-stroke\"></div>\n        </div>\n        <div class=\"search-types\">\n            <div class=\"search-type\" ng-if=\"::showLinesResult\">\n                <div class=\"icon-wrap\">\n                    <i class=\"icon-line font-color-green\"></i>\n                </div>\n                <span>线路</span>\n            </div>\n            <div class=\"search-type\" ng-if=\"::showStationsResult\">\n                <div class=\"icon-wrap\">\n                    <i class=\"icon-station\"></i>\n                </div>\n                <span>车站</span>\n            </div>\n            <div class=\"search-type\" ng-if=\"::showLocationResult\">\n                <div class=\"icon-wrap\">\n                    <i class=\"icon-location font-color-orange\"></i>\n                </div>\n                <span>地点</span>\n            </div>\n            <div class=\"search-type\" ng-if=\"::showCustomLinesResult\">\n                <div class=\"icon-wrap\">\n                    <i class=\"icon-line font-color-green\"></i>\n                </div>\n                <span>定制线路</span>\n            </div>\n        </div>\n    </div>\n\n    <search-history type=\"{{searchType}}\" ng-show=\"historyList && historyList.length && keywords === ''\" history-list=\"historyList\"\n        on-history-click=\"onSearchItemClick({item: history})\">\n    </search-history>\n\n    <ion-scroll direction=\"y\" scrollbar-y=\"false\">\n\n        <div class=\"search-list-wrap search-result\" ng-show=\"showLinesResult && lines && lines.length !== 0 && keywords !== '' \">\n            <div class=\"search-list-title\">线路</div>\n            <div class=\"search-list\">\n                <div class=\"search-list-item bc-button\" ng-repeat=\"item in lines\" ng-click=\"onSearchItemClick({item: item, type: 'busLine'})\">\n                    <div class=\"search-content\">\n                        <i class=\"icon-line font-color-green\"></i>\n                        <span ng-bind=\"item.label\"></span>\n                    </div>\n                </div>\n                <div class=\"more-link\" ng-if=\"needSearchMore\" bc-native-ui-sref=\"search-more({type:'busLine', keywords: keywords})\" nav-direction=\"bottom-up\">\n                    <span>查看更多线路</span>\n                    <i class=\"icon-angle-right font-color-light-grey\"></i>\n                </div>\n            </div>\n        </div>\n\n        <div class=\"search-list-wrap search-result\" ng-show=\"showStationsResult && stations && stations.length !== 0 && keywords !== '' \">\n            <div class=\"search-list-title\">车站</div>\n            <div class=\"search-list\">\n                <div class=\"search-list-item bc-button\" ng-repeat=\"item in stations\" ng-click=\"onSearchItemClick({item: item, type: 'busStation'})\">\n                    <div class=\"search-content\">\n                        <i class=\"icon-station\"></i>\n                        <span ng-bind=\"item.label\"></span>\n                    </div>\n                </div>\n                <div class=\"more-link\" ng-if=\"needSearchMore\" bc-native-ui-sref=\"search-more({type:'busStation', keywords: keywords})\" nav-direction=\"bottom-up\">\n                    <span>查看更多车站</span>\n                    <i class=\"icon-angle-right font-color-light-grey\"></i>\n                </div>\n            </div>\n        </div>\n\n        <div class=\"search-list-wrap search-result\" ng-show=\"showLocationResult && places && places.length !== 0 && keywords !== '' \">\n            <div class=\"search-list-title\">地点</div>\n            <div class=\"search-list\">\n                <div class=\"search-list-item bc-button\" ng-repeat=\"item in places\" ng-class=\"{'bigger': !item.address}\" ng-click=\"onSearchItemClick({item: item, type: 'location'})\">\n                    <div class=\"search-content\">\n                        <i class=\"icon-location font-color-orange\"></i>\n                        <span ng-bind=\"item.label\"></span>\n                    </div>\n                    <!-- <div class=\"search-content-desc\">{{item.province}}-{{item.city}}</div> -->\n                    <div class=\"search-content-desc\" ng-bind=\"item.address\" ng-show=\"item.address\"></div>\n                    <div class=\"path-action\" ng-click=\"onPathBtnClick({item: item, event: $event})\">\n                        <i class=\"icon-location-arrow font-color-primary path-action-icon\"></i>\n                        <span>到这去</span>\n                    </div>\n                </div>\n                <div class=\"more-link\" ng-if=\"needSearchMore\" bc-native-ui-sref=\"search-more({type:'location', keywords: keywords})\" nav-direction=\"bottom-up\">\n                    <span>查看更多地点</span>\n                    <i class=\"icon-angle-right font-color-light-grey\"></i>\n                </div>\n            </div>\n        </div>\n\n        <div class=\"search-list-wrap search-result\" ng-show=\"showCustomLinesResult && customLines && customLines.length !== 0 && keywords !== '' \">\n                <div class=\"search-list-title\">定制线路</div>\n                <div class=\"search-list\">\n                    <div class=\"search-list-item bc-button\" ng-repeat=\"item in customLines\" ng-click=\"onSearchItemClick({item: item, type: 'customLine'})\">\n                        <div class=\"search-content\">\n                            <i class=\"icon-line font-color-green\"></i>\n                            <span ng-bind=\"item.label\"></span>\n                        </div>\n                    </div>\n                    <div class=\"more-link\" ng-if=\"needSearchMore\" bc-native-ui-sref=\"search-more({type:'customLine', keywords: keywords})\" nav-direction=\"bottom-up\">\n                        <span>查看更多线路</span>\n                        <i class=\"icon-angle-right font-color-light-grey\"></i>\n                    </div>\n                </div>\n            </div>\n    </ion-scroll>\n</div>";

/***/ }),

/***/ 1555:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
SearchAllController.$inject = ['$scope', '$window', '$state', '$timeout', '$stateParams', 'buscardService', 'searchHistoryService', 'searchBarService', 'pathSearchService', 'locationService', 'geolocationService'];
/** @ngInject */
function SearchAllController($scope, $window, $state, $timeout, $stateParams, buscardService, searchHistoryService, searchBarService, pathSearchService, locationService, geolocationService) {
    var vm = this;

    vm.enterDetailView = enterDetailView;
    vm.enterPathView = enterPathView;
    $scope.$on('$ionicView.afterLeave', function () {
        $scope.$broadcast('leaveView');
    });

    function enterDetailView(item, type) {
        var nextView;
        var para;

        type = item.type || type;
        // 更新搜索历史
        searchHistoryService.update(item, type);
        switch (type) {
            case 'busLine':
                nextView = 'bus-line';
                para = {
                    label: item.label,
                    dir: item.local_direction
                };
                break;
            case 'busStation':
                nextView = 'bus-station';
                para = {
                    name: item.label
                };
                break;
            case 'location':
                nextView = 'nearby-bus-station';
                pathSearchService.setLocationType('mapCenter');
                pathSearchService.setLocation(item);
                pathSearchService.setView('nearby-bus-station');
                break;
        }
        buscardService.stateGo(nextView, null, para);
    }

    function enterPathView(item, event) {
        event.stopPropagation();

        searchHistoryService.update(item, 'location');
        if (!$window.AMap) {
            buscardService.showMessage('暂时无法使用路径规划功能');
            return;
        }
        geolocationService.getGeoLocation().then(function (location) {
            var currentLocation = locationService.formatLocation(location);
            currentLocation.label = "我的位置";
            pathSearchService.setLocation(currentLocation, 'start');
            pathSearchService.setLocation(item, 'end');
            pathSearchService.isLocationChange = false;
            searchHistoryService.update({ start: currentLocation, end: item }, 'path');
            buscardService.stateGo('routePlanning-transfer');
        });
    }
}

/* harmony default export */ __webpack_exports__["a"] = (SearchAllController);

/***/ }),

/***/ 858:
/***/ (function(module, exports) {

module.exports = "<ion-view view-title=\"搜索\" cache-view=\"false\">\n    <ion-content scroll=\"false\" class=\"_header\">\n        <bc-search \n            search-type=\"busStation+busLine+location\"\n            placeholder=\"搜索公交线路、站点、地点\"\n            on-search-item-click=\"vm.enterDetailView(item, type)\"\n            on-path-btn-click=\"vm.enterPathView(item, event)\"\n        ></bc-search>\n    </ion-content>\n</ion-view>\n";

/***/ }),

/***/ 859:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__search_all_controller__ = __webpack_require__(1555);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_core_components_bcSearch__ = __webpack_require__(1237);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_core_components_searchHistory__ = __webpack_require__(1061);




/* harmony default export */ __webpack_exports__["default"] = (angular.module('app.pages.search.searchAll', [__WEBPACK_IMPORTED_MODULE_1_core_components_bcSearch__["a" /* default */].name, __WEBPACK_IMPORTED_MODULE_2_core_components_searchHistory__["a" /* default */].name]).controller('SearchAllController', __WEBPACK_IMPORTED_MODULE_0__search_all_controller__["a" /* default */]));

/***/ })

});
//# sourceMappingURL=search.searchAll.72f61eb65016e4b39efc.js.map